# -*- coding: utf-8 -*-
#
# WebFilterAdmin a web configurator for dansguardian & squid.
# Copyright (C) 2005 Marco Andreini
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

"""
WebFilterAdmin

"""

from Products.CMFCore.DirectoryView import registerDirectory

from ProxyAdmin import WebFilterAdmin, manage_addWebFilterAdminForm, \
     manage_addWebFilterAdmin


def initialize(context):
    """Initialize WebFilter Admin"""

    registerDirectory("skins", globals())
    context.registerClass(WebFilterAdmin,
                          permission=WebFilterAdmin.addPermission,
                          constructors=(manage_addWebFilterAdminForm,
                                        manage_addWebFilterAdmin),
                          icon="www/icon.png")

