#

RESPONSE = context.REQUEST.RESPONSE

last_modified = DateTime() - 14
expires = DateTime() + 7

RESPONSE.setHeader('Content-Type', 'text/javascript')
RESPONSE.setHeader('Last-Modified', last_modified.toZone('GMT').rfc822())
RESPONSE.setHeader('Cache-Control', 'max-age=36000, must-revalidate')
RESPONSE.setHeader('Expires', expires.toZone('GMT').rfc822())


return '''
// Functions for selecting all checkboxes in folder_contents view

isSelected = false;
function selectAll() {
  checkboxes = document.getElementsByName('ids:list');
  for (i = 0; i < checkboxes.length; i++)
    checkboxes[i].checked = true ;
  isSelected = true;
  return isSelected;
}

function deselectAll() {
  checkboxes = document.getElementsByName('ids:list');
  for (i = 0; i < checkboxes.length; i++)
    checkboxes[i].checked = false ;
  isSelected = false;
  return isSelected;
}

function toggleSelect(selectbutton) {
  if (isSelected == false) {
    selectbutton.setAttribute('title','Deseleziona tutto');
    return selectAll();
  }
  else {
    selectbutton.setAttribute('title','Seleziona tutto');
    return deselectAll();
  }
}
'''
